package cc.smtweb.system.bpm.web.sys.user.user;

import cc.smtweb.framework.core.annotation.SwBody;
import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.common.R;
import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.system.bpm.web.engine.dynPage.DynPageService;
import cc.smtweb.framework.core.mvc.service.AbstractHandler;
import cc.smtweb.framework.core.session.UserSession;
import cc.smtweb.system.bpm.web.sys.base.dict.DictHandler;

/**
 * Created by 1 at 2022-07-28 15:24:49
 * 页面【[用户列表]的服务类
 */
@SwService
public class UserService extends DynPageService {

    @Override
    protected AbstractHandler createHandler(String type) {
        switch (type) {
            case TYPE_SAVE:
                return new UserHandler.UserSaveHandler();
            case TYPE_DEL:
                return new UserHandler.UserDelHandler();
            case TYPE_LOAD:
                return new UserHandler.UserLoadHandler();
        }
        return super.createHandler(type);
    }

}
